Name:           python-django-allow-cidr
Version:        0.8.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A Django Middleware to enable use of CIDR IP ranges in ALLOWED_HOSTS.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/mozmeao/django-allow-cidr
Source:         %{pypi_source django_allow_cidr}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'django-allow-cidr' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-django-allow-cidr
Summary:        %{summary}

%description -n python3-django-allow-cidr %_description


%prep
%autosetup -p1 -n django_allow_cidr-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-django-allow-cidr -f %{pyproject_files}


%changelog
%autochangelog